aboutsummaryrefslogtreecommitdiff
path: root/sci
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-14 00:21:31 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-14 00:21:31 +0000
commit2b46620e0036bbfd7d58a89f0b3689b929b43c5c (patch)
treea1a6579e64ae3f895c9c44ad7ee9a348dd2b5516 /sci
parente44b90b1678bcebdf5966a36d95d2159835704ed (diff)
downloadslackbuilds-2b46620e0036bbfd7d58a89f0b3689b929b43c5c.tar.gz
slackbuilds-2b46620e0036bbfd7d58a89f0b3689b929b43c5c.tar.bz2
Adicionando slackbuilds para: gtkwave, iverilog, ivi
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@916 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sci')
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild158
-rw-r--r--sci/electronics/gtkwave/slack-required1
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild147
-rw-r--r--sci/electronics/ivi/ivi-0.4-pre-20031121-gcc3.4.patch46
-rwxr-xr-xsci/electronics/ivi/ivi.SlackBuild155
-rw-r--r--sci/electronics/ivi/slack-required3
6 files changed, 510 insertions, 0 deletions
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
new file mode 100755
index 00000000..c679145c
--- /dev/null
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/bash
+#
+# SlackBuild for GTKWave
+# http://home.nc.rr.com/gtkwave/
+#
+# Author: Luis ( luis at riseup d0t net )
+#
+
+CWD=`pwd`
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+SRC_NAME="gtkwave"
+PKG_NAME="gtkwave"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=3.0.18}
+BUILD=${BUILD:=1ls}
+SRC_DIR=${SRC_DIR:=$CWD}
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC=$SRC_NAME-$VERSION
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR=$PREFIX/lib
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf $PKG_SRC 2>/dev/null
+rm -rf $PKG 2>/dev/null
+
+# Create directories, if necessary
+mkdir -p $SRC_DIR || exit $ERROR_MKDIR
+mkdir -p $PKG || exit $ERROR_MKDIR
+mkdir -p $REPOS || exit $ERROR_MKDIR
+
+# Dowload source, if necessary
+SRC="$SRC_NAME-current.tar.gz"
+URL="http://home.nc.rr.com/gtkwave/$SRC"
+
+if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Check if GTKWave should be built for GTK+-2.x (default,
+#+if both are available) or 1.x
+if [ -d /etc/gtk-2.0 ]; then
+ GTK_VERSION=2
+elif [ -d /etc/gtk ]; then
+ GTK_VERSION=1
+else
+ echo "ERROR: GTKWave requires either GTK+-1.x or 2.x"
+ exit 1
+fi
+
+# Untar, configure, compile and install
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PKG_SRC
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ echo $GTK_VERSION | ./configure \
+ --prefix=$PREFIX --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install prefix=$PKG/$PREFIX || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any
+if [ -d $PKG/$PREFIX/man ]; then
+ ( cd $PKG/$PREFIX/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any
+if [ -d $PKG/$PREFIX/info ]; then
+ ( cd $PKG/$PREFIX/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Install documentation and examples
+DOCS="*.TXT examples doc/gtkwave.odt"
+mkdir -p $PKG/$PREFIX/doc/$PKG_NAME-$VERSION || exit $ERROR_MKDIR
+cp -a $DOCS $PKG/$PREFIX/doc/$PKG_NAME-$VERSION
+
+# Add slack-desc file
+mkdir -p $PKG/install || exit $ERROR_MKDIR
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+gtkwave: gtkwave
+gtkwave:
+gtkwave: GTKWave is a viewer for VCD (Value Change Dump) files which are
+gtkwave: usually created by digital circuit simulators. It can also read
+gtkwave: LXT, LXT2, VZT, and GHW files.
+gtkwave:
+gtkwave: For more information, http://home.nc.rr.com/gtkwave/
+gtkwave:
+gtkwave:
+gtkwave:
+gtkwave:
+EOF
+
+# Build the package
+cd $PKG
+makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+# Delete source and build directories, if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $CWD/$PKG_SRC $PKG
+fi
diff --git a/sci/electronics/gtkwave/slack-required b/sci/electronics/gtkwave/slack-required
new file mode 100644
index 00000000..cd85985f
--- /dev/null
+++ b/sci/electronics/gtkwave/slack-required
@@ -0,0 +1 @@
+gtk+
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
new file mode 100755
index 00000000..4fc66098
--- /dev/null
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# SlackBuild for Icarus Verilog
+# http://www.icarus.com/eda/verilog/
+#
+# Author: Luis ( luis at riseup d0t net )
+#
+
+CWD=`pwd`
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+SRC_NAME="verilog"
+PKG_NAME="iverilog"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.8.3}
+BUILD=${BUILD:=1ls}
+SRC_DIR=${SRC_DIR:=$CWD}
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC=$SRC_NAME-$VERSION
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR=$PREFIX/lib
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf $PKG_SRC 2>/dev/null
+rm -rf $PKG 2>/dev/null
+
+# Create directories, if necessary
+mkdir -p $SRC_DIR || exit $ERROR_MKDIR
+mkdir -p $PKG || exit $ERROR_MKDIR
+mkdir -p $REPOS || exit $ERROR_MKDIR
+
+# Dowload source, if necessary
+SRC="$PKG_SRC.tar.gz"
+URL="ftp://ftp.icarus.com/pub/eda/verilog/v0.8/$SRC"
+
+if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar, configure, compile and install
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PKG_SRC
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=$PREFIX --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install prefix=$PKG/$PREFIX || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any
+if [ -d $PKG/$PREFIX/man ]; then
+ ( cd $PKG/$PREFIX/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any
+if [ -d $PKG/$PREFIX/info ]; then
+ ( cd $PKG/$PREFIX/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Install documentation and examples
+mkdir -p $PKG/$PREFIX/doc/$PKG_NAME-$VERSION/vvp || exit $ERROR_MKDIR
+cp -a COPYING INSTALL *.txt examples $PKG/$PREFIX/doc/$PKG_NAME-$VERSION
+cp -a vvp/*.txt vvp/examples $PKG/$PREFIX/doc/$PKG_NAME-$VERSION/vvp
+
+# Add slack-desc file
+mkdir -p $PKG/install || exit $ERROR_MKDIR
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iverilog: iverilog (Icarus Verilog)
+iverilog:
+iverilog: The Icarus verilog compiler for the Verilog hardware description
+iverilog: language (HDL), as described in the IEEE-1364 standard. The compiler
+iverilog: can target either simulation, or netlist (XNF).
+iverilog:
+iverilog: For more information, http://www.icarus.com/eda/verilog/
+iverilog:
+iverilog:
+iverilog:
+iverilog:
+EOF
+
+# Build the package
+cd $PKG
+makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+# Delete source and build directories, if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $CWD/$PKG_SRC $PKG
+fi
diff --git a/sci/electronics/ivi/ivi-0.4-pre-20031121-gcc3.4.patch b/sci/electronics/ivi/ivi-0.4-pre-20031121-gcc3.4.patch
new file mode 100644
index 00000000..39f07a5e
--- /dev/null
+++ b/sci/electronics/ivi/ivi-0.4-pre-20031121-gcc3.4.patch
@@ -0,0 +1,46 @@
+diff -urN ../tmp-orig/ivi-0.4.pre.20031121/src/common/BitVector.cc ./src/common/BitVector.cc
+--- ../tmp-orig/ivi-0.4.pre.20031121/src/common/BitVector.cc 2003-11-21 02:57:51.000000000 +0100
++++ ./src/common/BitVector.cc 2004-09-24 14:37:04.375516976 +0200
+@@ -793,7 +793,8 @@
+ Uint32 isTyped = (flags & Radix_Typed)?1:0;
+
+ Uint32 ii;
+- Int32 i, x, idx = 0, mbits = in.length(), init, final;
++ Int32 i, x, mbits = in.length(), init, final;
++ Uint32 idx = 0;
+ Uint32 comp = 0;
+ Uint32 num_z = 0, num_x = 0;
+ Char ch, tmpb[256];
+@@ -923,7 +924,7 @@
+ }
+ for (i=vlen-1; i>=0; i--) {
+ zero_suppress = write_digits(tmp_arr[i],
+- out, (Uint32)idx, zero_suppress);
++ out, idx, zero_suppress);
+ }
+
+ if (zero_suppress) {
+diff -urN ../tmp-orig/ivi-0.4.pre.20031121/src/common/HashTable.h ./src/common/HashTable.h
+--- ../tmp-orig/ivi-0.4.pre.20031121/src/common/HashTable.h 2003-11-21 02:57:51.000000000 +0100
++++ ./src/common/HashTable.h 2004-09-24 14:35:25.715515576 +0200
+@@ -83,7 +83,7 @@
+ Uint32 size
+ )
+ {
+- entries = new eType*[size];
++ this->entries = new eType*[size];
+ numEntries = size;
+
+ memset(syms, 0, sizeof(eType *)*numEntries);
+diff -urN ../tmp-orig/ivi-0.4.pre.20031121/src/common/MenuMgr.cc ./src/common/MenuMgr.cc
+--- ../tmp-orig/ivi-0.4.pre.20031121/src/common/MenuMgr.cc 2003-11-21 02:57:51.000000000 +0100
++++ ./src/common/MenuMgr.cc 2004-09-24 17:06:33.965931968 +0200
+@@ -247,7 +247,7 @@
+ }
+
+ cmd_list << buf;
+- cmd_list << "-underline" << (ptr-ch_str);
++ cmd_list << "-underline" << (Int32)(ptr-ch_str);
+ } else {
+ cmd_list << ch_str;
+ }
diff --git a/sci/electronics/ivi/ivi.SlackBuild b/sci/electronics/ivi/ivi.SlackBuild
new file mode 100755
index 00000000..7d2c3bab
--- /dev/null
+++ b/sci/electronics/ivi/ivi.SlackBuild
@@ -0,0 +1,155 @@
+#!/bin/bash
+#
+# SlackBuild for IVI-0.4
+# http://sourceforge.net/projects/ivi
+#
+# Author: Luis ( luis at riseup d0t net )
+#
+
+CWD=`pwd`
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+SRC_NAME="ivi"
+PKG_NAME="ivi"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.4_20031121}
+BUILD=${BUILD:=1ls}
+SRC_DIR=${SRC_DIR:=$CWD}
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC=$SRC_NAME-0.4-pre-20031121
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR=$PREFIX/lib
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf $PKG_SRC 2>/dev/null
+rm -rf $PKG 2>/dev/null
+
+# Create directories, if necessary
+mkdir -p $SRC_DIR || exit $ERROR_MKDIR
+mkdir -p $PKG || exit $ERROR_MKDIR
+mkdir -p $REPOS || exit $ERROR_MKDIR
+
+# Dowload source, if necessary
+SRC="$PKG_SRC.tar.gz"
+URL="http://downloads.sourceforge.net/ivi/$SRC"
+
+if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar, patch, configure, compile and install
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PKG_SRC
+patch -p1 < $CWD/ivi-0.4-pre-20031121-gcc3.4.patch || exit $ERROR_PATCH
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=$PREFIX --libdir=$LIBDIR --enable-release || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install prefix=$PKG/$PREFIX || exit $ERROR_INSTALL
+
+# Fix permissions
+find $PKG -type f -exec chmod a-x {} \;
+chmod a+x $PKG/$PREFIX/bin/ivi
+find $PKG/$PREFIX/modules -name "*.vpi" -exec chmod a+x {} \;
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any
+if [ -d $PKG/$PREFIX/man ]; then
+ ( cd $PKG/$PREFIX/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any
+if [ -d $PKG/$PREFIX/info ]; then
+ ( cd $PKG/$PREFIX/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Install documentation and examples
+DOCS="LIMITATIONS README *.txt"
+mkdir -p $PKG/$PREFIX/doc/$PKG_NAME-$VERSION || exit $ERROR_MKDIR
+cp -a $DOCS $PKG/$PREFIX/doc/$PKG_NAME-$VERSION
+mv $PKG/$PREFIX/{examples,doc/getting_started,doc/ivi_commands} \
+ $PKG/$PREFIX/doc/$PKG_NAME-$VERSION
+
+# Add slack-desc file
+mkdir -p $PKG/install || exit $ERROR_MKDIR
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------------|
+ivi: ivi (Icarus Verilog Interactive)
+ivi:
+ivi: IVI is a graphical, interactive user-interface to various Open-Source HDL
+ivi: simulators. IVI allows the user to control simulation and view signal
+ivi: waveforms as the data is produced by the simulation.
+ivi:
+ivi: For more information, http://sourceforge.net/projects/ivi
+ivi:
+ivi:
+ivi:
+ivi:
+EOF
+
+# Build the package
+cd $PKG
+makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+# Delete source and build directories, if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $CWD/$PKG_SRC $PKG
+fi
diff --git a/sci/electronics/ivi/slack-required b/sci/electronics/ivi/slack-required
new file mode 100644
index 00000000..29d02a3f
--- /dev/null
+++ b/sci/electronics/ivi/slack-required
@@ -0,0 +1,3 @@
+tcl
+tk
+iverilog